## wp-mirror-mediawiki 1.24.22

=== core/docs/kss/Makefile ===
MEDIAWIKI_LOAD_URL ?= http://localhost/w/load.php

kss: kssnodecheck
# Generates CSS of mediawiki.ui and mediawiki.ui.button using ResourceLoader, then applies it to the
# KSS style guide
	$(eval KSS_RL_TMP := $(shell mktemp /tmp/tmp.XXXXXXXXXX))
# Keep module names in strict alphabetical order, so CSS loads in the same order as ResourceLoader's addModuleStyles does; this can affect rendering.
# See OutputPage::makeResourceLoaderLink.
	@curl -sG "${MEDIAWIKI_LOAD_URL}?modules=mediawiki.legacy.commonPrint|mediawiki.legacy.shared|mediawiki.ui|mediawiki.ui.anchor|mediawiki.ui.button|mediawiki.ui.checkbox|mediawiki.ui.input&only=styles" > $(KSS_RL_TMP)
	@node_modules/.bin/kss-node ../../resources/src/mediawiki.ui static/ --css $(KSS_RL_TMP) -t styleguide-template
	@rm $(KSS_RL_TMP)

kssopen: kss
	@echo Opening the generated style guide...
	@command -v xdg-open >/dev/null 2>&1 || { open ${PWD}/static/index.html; exit 0; }
	@xdg-open ${PWD}/static/index.html

kssnodecheck:
	@scripts/kss-node-check.sh

=== core/tests/phpunit/Makefile ===
.PHONY: help test phpunit install coverage warning destructive parser noparser safe databaseless list-groups
.DEFAULT: warning

SHELL = /bin/sh
CONFIG_FILE = ${PWD}/suite.xml
PHP = php
PU = ${PHP} phpunit.php --configuration ${CONFIG_FILE} ${FLAGS}

all test: warning

warning:
	@echo "Run 'make help' to get usage"
	@echo ""
	@echo "WARNING -- some tests are DESTRUCTIVE and will alter your wiki."
	@echo "DO NOT RUN THESE TESTS on a production wiki."
	@echo ""
	@echo "Until the default tests are made non-destructive, you can run"
	@echo "the destructive tests like so:"
	@echo ""
	@echo "    make destructive"
	@echo ""
	@echo "Some tests are expected to be safe, you can run them with"
	@echo ""
	@echo "    make safe"
	@echo ""
	@echo "You are recommended to run the tests with read-only credentials."
	@echo ""
	@echo "If you don't have a database running, you can still run"
	@echo ""
	@echo "    make databaseless"
	@echo ""

destructive: phpunit

phpunit:
	${PU}

install:
	./install-phpunit.sh

tap:
	${PU} --tap

coverage:
	${PU} --coverage-html ../../docs/code-coverage

parser:
	${PU} --group Parser
parserfuzz:
	@echo "******************************************************************"
	@echo "* This WILL kill your computer by eating all memory AND all swap *"
	@echo "*                                                                *"
	@echo "* If you are on a production machine. ABORT NOW!!                *"
	@echo "*  Press control+C to stop                                       *"
	@echo "*                                                                *"
	@echo "******************************************************************"
	${PU} --group Parser,ParserFuzz
noparser:
	${PU} --exclude-group Parser,Broken,ParserFuzz,Stub

safe:
	${PU} --exclude-group Broken,ParserFuzz,Destructive,Stub

databaseless:
	${PU} --exclude-group Broken,ParserFuzz,Destructive,Database,Stub

database:
	${PU} --exclude-group Broken,ParserFuzz,Destructive,Stub --group Database

list-groups:
	${PU} --list-groups

help:
	# Usage:
	#   make <target> [OPTION=value]
	#
	# Targets:
	#   phpunit (default)   Run all the tests with phpunit
	#   install             Install PHPUnit from phpunit.de
	#   tap                 Run the tests individually through Test::Harness's prove(1)
	#   help                You're looking at it!
	#   coverage            Run the tests and generates an HTML code coverage report
	#                       You will need the Xdebug PHP extension for the later.
	#   [no]parser          Skip or only run Parser tests
	#
	#   list-groups         List availabe Tests groups.
	#
	#  Options:
	#   CONFIG_FILE         Path to a PHPUnit configuration file (default: suite.xml)
	#   FLAGS               Additional flags to pass to PHPUnit
	#   PHP                 Path to php

=== debian/changelog ===
wp-mirror-mediawiki (1.24.22-1) unstable; urgency=low

  * Update: checkout git branch wmf/1.24wmf22
  * Skins added: Vector

 -- WP-MIRROR <wpmirrordev@gmail.com>  Fri, 10 Oct 2014 19:30:00 -0400

wp-mirror-mediawiki (1.23.0-1) unstable; urgency=low

  * Update: checkout git branch REL1_23 (was branch wmf/1.23wmf14)

 -- WP-MIRROR <wpmirrordev@gmail.com>  Sat, 07 Jun 2014 06:00:00 -0400

wp-mirror-mediawiki (1.23-1) unstable; urgency=low

  * Initial release (Closes: #1000)  <bug number of the ITP>

 -- WP-MIRROR <wpmirrordev@gmail.com>  Sun, 09 Feb 2014 17:47:25 -0500

=== debian/control ===
Source: wp-mirror-mediawiki
Section: web
Priority: optional
Maintainer: WP-MIRROR <wpmirrordev@gmail.com>
Build-Depends: cpio, debhelper (>= 9.0.0)
Standards-Version: 3.9.4
Homepage: http://www.mediawiki.org/
#Vcs-Git: git://git.debian.org/collab-maint/wp-mirror-mediawiki.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/wp-mirror-mediawiki.git;a=summary

Package: wp-mirror-mediawiki
Architecture: all
Depends: ${misc:Depends},
 debconf (>= 0.5) | debconf-2.0,
 apache2,
 libjs-jquery, libjs-jquery-cookie, libjs-jquery-form, libjs-jquery-tipsy,
 libjs-jquery-tablesorter,
 mime-support,
 php5, php5-mysql | php5-mysqlnd, php5-xdebug
Recommends: mysql-server, php5-cli, python
Suggests: imagemagick | php5-gd, memcached
Description: website engine for collaborative work
 Wp-mirror-mediawiki is a packaging of the development version of MediaWiki.
 It is used to render wikipedia pages and articles for a local mirror built
 by wp-mirror.
 .
 MediaWiki is a wiki engine (a program for creating a collaboratively edited
 website). It is designed to handle heavy websites containing library-like
 document collections, and supports user uploads of images/sounds, multilingual
 content, TOC autogeneration, ISBN links, etc.
